package com.engine.sskj.controller;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.sskj.service.EntryService;
import com.engine.sskj.service.KqWorkflowService;
import com.engine.sskj.service.impl.EntryServiceImpl;
import com.engine.sskj.service.impl.KqWorkflowServiceImpl;
import com.google.gson.Gson;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

public class KqWorkflowController {

    public KqWorkflowService getKqWorkflowService(User user) {
        return ServiceUtil.getService(KqWorkflowServiceImpl.class,user);
    }

    @POST
    @Path("/calWorkTime")
    @Produces(MediaType.APPLICATION_JSON)
    public String calWorkTime(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        Map<String, Object> resultDatas = getKqWorkflowService(user).calWorkTime(params);
        return  new Gson().toJson(resultDatas);
    }

    @POST
    @Path("/checkConOverTime")
    @Produces(MediaType.APPLICATION_JSON)
    public String checkConOverTime(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        Map<String, Object> resultDatas = getKqWorkflowService(user).checkConOverTime(params);
        return  new Gson().toJson(resultDatas);
    }


}
