package com.customization.sskj;

import com.customization.sskj.util.JobGroupUtil;
import com.engine.core.cfg.annotation.CommandDynamicProxy;
import com.engine.core.interceptor.AbstractCommandProxy;
import com.engine.core.interceptor.Command;
import com.engine.hrm.cmd.jobset.EditJobGroupCmd;
import com.engine.hrm.cmd.jobset.GetJobDetailCmd;
import org.apache.commons.lang.StringUtils;
import weaver.general.BaseBean;
import weaver.general.Util;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 编制岗位类别保存
 */
@CommandDynamicProxy(target = EditJobGroupCmd.class, desc = "EditJobGroupCmd")
public class EditJobGroupCmdInter extends AbstractCommandProxy<Map<String, Object>> {

    BaseBean basebean = new BaseBean();
    @Override
    public Map<String, Object> execute(Command<Map<String, Object>> command) {

        EditJobGroupCmd cmd = (EditJobGroupCmd) command;
        User user = cmd.getUser();
        Map<String, Object> params = cmd.getParams();
        Map<String, Object> result = nextExecute(cmd);

        String sign = Util.null2String(result.get("sign"));
        if ( !StringUtils.isEmpty(sign)) {
            String id = Util.null2String(params.get("id"));
            if ( !StringUtils.isEmpty(id)) {
                JobGroupUtil jobGroupUtil = new JobGroupUtil();
                Integer number = jobGroupUtil.checkDesc(id);
                if ( number == 0 ) {
                    String jobgroupdesc = Util.null2String(params.get("jobgroupdesc"));
                    boolean addFlag = jobGroupUtil.addJobGroupDesc(id, jobgroupdesc, user);
                    basebean.writeLog("EditJobGroupCmdInter addFlag: " + addFlag);
                } else {
                    String jobgroupdesc = Util.null2String(params.get("jobgroupdesc"));
                    boolean modFlag = jobGroupUtil.modJobGroupDesc(id, jobgroupdesc, user);
                    basebean.writeLog("EditJobGroupCmdInter modFlag: " + modFlag);
                }
            } else {
                basebean.writeLog("EditJobGroupCmdInter id is null");
            }
        } else {
            basebean.writeLog("EditJobGroupCmdInter sign: " + sign);
        }


        return result;
    }
}
