package com.engine.sskj.util;

import weaver.formmode.setup.ModeRightInfo;
import weaver.general.BaseBean;

import java.text.SimpleDateFormat;

/**
 * @author chenwnj
 * @date 2023/10/20
 * @description
 **/
public class SskjUtil {

    BaseBean basebean = new BaseBean();

    /**
     * 建模权限重构
     * @param userId
     * @param jobGroupDesModeId
     * @param billid
     */
    public void modePerRecon(Integer userId, String jobGroupDesModeId, String billid) {
        ModeRightInfo ModeRightInfo = new ModeRightInfo();
        ModeRightInfo.setNewRight(true);
        ModeRightInfo.editModeDataShare( userId, Integer.parseInt(jobGroupDesModeId), Integer.parseInt(billid));
    }

    // 获取两个时间相差分钟数
    public long getTime(String oldTime,String newTime) {

        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        long diff = 0;
        try {
            long NTime =df.parse(newTime).getTime();
            //从对象中拿到时间
            long OTime = df.parse(oldTime).getTime();
            diff=(NTime-OTime)/1000/60;
        }catch (Exception e) {
            basebean.writeLog("SskjUtil getTime Exception: " + e);
        }

        return diff;
    }

}
